include:
  - project: opencpi/opencpi
    ref: ${OCPI_REF_NAME}
    file: .gitlab-ci/yaml/include.yml
  - project: 'opencpi/opencpi'
    ref: ${OCPI_REF_NAME}
    file: '.gitlab-ci/yaml/default.yml'
    rules:
      - if: $CI_PROJECT_NAME == "opencpi"
  - project: opencpi/opencpi
    ref: ${OCPI_REF_NAME}
    file: .gitlab-ci/yaml/downstream-ci.yml
    rules:
      - if: $CI_PROJECT_NAME != "opencpi"

variables:
  OCPI_REF_NAME:
    description: OpenCPI project reference to build in pipeline.
    value: develop
  OSP:
    description: OSP projects to include in pipeline.
    value: ""
  COMP:
    description: COMP projects to include in pipeline.
    value: sdr
